package model;

import java.math.BigDecimal;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;

import java.util.Iterator;
import java.util.List;

import oracle.jbo.server.ViewObjectImpl;
import oracle.jbo.server.ViewRowImpl;
import oracle.jbo.server.ViewRowSetImpl;

public abstract class WsViewObjectImpl extends ViewObjectImpl {    
    public WsViewObjectImpl() {
        super();
    }

    protected oracle.jbo.domain.Date toOracleDate(java.util.Calendar calendar) {
        oracle.jbo.domain.Date jboDate = new oracle.jbo.domain.Date();
        Timestamp t = jboDate.timestampValue();
        t.setTime(calendar.getTime().getTime());
        return new oracle.jbo.domain.Date(t);
    }

    protected oracle.jbo.domain.Number toOracleNumber(int i) {
        return new oracle.jbo.domain.Number(i);
    }

    protected oracle.jbo.domain.Number toOracleNumber(double d) {
        try {
            return new oracle.jbo.domain.Number(d);
        } catch (SQLException e) {
            return null;
        }
    }
    
    protected oracle.jbo.domain.Number toOracleNumber(BigDecimal b) {
        try {
            return new oracle.jbo.domain.Number(b);
        } catch (SQLException e) {
            return null;
        }
    }

    protected abstract List retrieveArrayFromWebService(Object qc,
                                                        Object[] params);

    private void storeNewIterator(Object qc, List rs) {
        setUserDataForCollection(qc, rs.iterator());
        hasNextForCollection(qc);
    }

    protected void executeQueryForCollection(Object qc, Object[] params,
                                             int noUserParams) {
        storeNewIterator(qc, retrieveArrayFromWebService(qc, params));
        super.executeQueryForCollection(qc, params, noUserParams);
    }

    private Iterator getArrayIterator(Object qc) {
        return (Iterator)getUserDataForCollection(qc);
    }

    protected boolean hasNextForCollection(Object qc) {
        boolean hasNext = getArrayIterator(qc).hasNext();
        if (!hasNext) {
            setFetchCompleteForCollection(qc, true);
        }
        return hasNext;
    }

    protected abstract void fillRow(Object data, ViewRowImpl row);
    
    protected ViewRowImpl createRowFromResultSet(Object qc,
                                                 ResultSet resultSet) {
        Iterator iterator = getArrayIterator(qc);
        ViewRowImpl row = createNewRowForCollection(qc);
        fillRow(iterator.next(), row);
        return row;
    }

    public long getQueryHitCount(ViewRowSetImpl viewRowSet) {
        return super.getQueryHitCount(viewRowSet);
    }
}
