<?xml version="1.0" encoding="UTF-8" ?>
<?oracle-xsl-mapper
  <!-- SPECIFICATION OF MAP SOURCES AND TARGETS, DO NOT MODIFY. -->
  <mapSources>
    <source type="WSDL">
      <schema location="../NieuweMedewerker.wsdl"/>
      <rootElement name="NieuweMedewerkerRequestElement" namespace="http://arnhem.nl/InterneProcessen/Medewerker"/>
    </source>
    <source type="WSDL">
      <schema location="../NieuweMedewerker.wsdl"/>
      <rootElement name="ToevoegingProces" namespace="http://arnhem.nl/InterneProcessen/Medewerker"/>
      <param name="toevoegingProces" />
    </source>
  </mapSources>
  <mapTargets>
    <target type="WSDL">
      <schema location="http://LUX164.arnhem.local:8001/soa-infra/services/default/ServiceDesk/Medewerker.wsdl"/>
      <rootElement name="nieuweMedewerkerRequestElement" namespace="http://arnhem.nl/Servicedesk"/>
    </target>
  </mapTargets>
  <!-- GENERATED BY ORACLE XSL MAPPER 11.1.1.5.0(build 110418.1550.0174) AT [THU NOV 24 14:00:37 CET 2011]. -->
?>
<xsl:stylesheet version="1.0"
                xmlns:xp20="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.Xpath20"
                xmlns:bpws="http://schemas.xmlsoap.org/ws/2003/03/business-process/"
                xmlns:bpel="http://docs.oasis-open.org/wsbpel/2.0/process/executable"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:ns2="http://arnhem.nl/Servicedesk"
                xmlns:client="http://arnhem.nl/InterneProcessen/Medewerker"
                xmlns:bpm="http://xmlns.oracle.com/bpmn20/extensions"
                xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/"
                xmlns:plnk="http://schemas.xmlsoap.org/ws/2003/05/partner-link/"
                xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/"
                xmlns:ora="http://schemas.oracle.com/xpath/extension"
                xmlns:socket="http://www.oracle.com/XSL/Transform/java/oracle.tip.adapter.socket.ProtocolTranslator"
                xmlns:mhdr="http://www.oracle.com/XSL/Transform/java/oracle.tip.mediator.service.common.functions.MediatorExtnFunction"
                xmlns:oraext="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.ExtFunc"
                xmlns:dvm="http://www.oracle.com/XSL/Transform/java/oracle.tip.dvm.LookupValue"
                xmlns:hwf="http://xmlns.oracle.com/bpel/workflow/xpath"
                xmlns:med="http://schemas.oracle.com/mediator/xpath"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ids="http://xmlns.oracle.com/bpel/services/IdentityService/xpath"
                xmlns:xdk="http://schemas.oracle.com/bpel/extension/xpath/function/xdk"
                xmlns:ns1="http://xmlns.oracle.com/bpel/services/IdentityService"
                xmlns:xref="http://www.oracle.com/XSL/Transform/java/oracle.tip.xref.xpath.XRefXPathFunctions"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:bpmn="http://schemas.oracle.com/bpm/xpath"
                xmlns:ns0="http://www.oracle.com/pcbpel/identityservice/isconfig"
                xmlns:ldap="http://schemas.oracle.com/xpath/extension/ldap"
                exclude-result-prefixes="xsi xsl client plnk ns1 xsd ns0 ns2 soap12 soap mime xp20 bpws bpel bpm ora socket mhdr oraext dvm hwf med ids xdk xref bpmn ldap">
  <xsl:param name="toevoegingProces"/>
  <xsl:template match="/">
    <ns2:nieuweMedewerkerRequestElement>
      <ns2:mdw>
        <ns2:zaaknummer>
          <xsl:value-of select="$toevoegingProces/client:ToevoegingProces/client:ZaakId"/>
        </ns2:zaaknummer>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"Laptop opties")'>
            <ns2:laptopOpties>
              <xsl:value-of select="client:PersIctOptieWaarde"/>
            </ns2:laptopOpties>
          </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"Citrix")'>
            <ns2:citrixToegang>
              <xsl:value-of select='xp20:matches(client:PersIctOptieWaarde,"Ja")'/>
            </ns2:citrixToegang>
          </xsl:if>
        </xsl:for-each>
        <ns2:opgemaakteNaam>
          <xsl:value-of select='concat(/client:NieuweMedewerkerRequestElement/client:NAW/client:Roepnaam," ",/client:NieuweMedewerkerRequestElement/client:NAW/client:Achternaam)'/>
        </ns2:opgemaakteNaam>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"GSM")'>
            <ns2:nieuwGsm>
              <xsl:value-of select='xp20:matches(client:PersIctOptieWaarde,"Ja")'/>
            </ns2:nieuwGsm>
          </xsl:if>
        </xsl:for-each>
        <ns2:dienst>
          <xsl:value-of select="/client:NieuweMedewerkerRequestElement/client:Dienstgegevens/client:SubDienstNaam"/>
        </ns2:dienst>
        <ns2:gebruikersNaam>
          <xsl:value-of select='concat($toevoegingProces/client:ToevoegingProces/client:Gebruikersnaam," Pers.nr: ",$toevoegingProces/client:ToevoegingProces/client:Personeelsnummer)'/>
        </ns2:gebruikersNaam>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"Laptop")'>
            <ns2:nieuwLaptop>
              <xsl:value-of select='xp20:matches(client:PersIctOptieWaarde,"Ja")'/>
            </ns2:nieuwLaptop>
          </xsl:if>
        </xsl:for-each>
        <ns2:aanvrager>
          <xsl:value-of select="$toevoegingProces/client:ToevoegingProces/client:AfdelingsHoofd"/>
        </ns2:aanvrager>
        <ns2:referentieCode>
          <xsl:value-of select="$toevoegingProces/client:ToevoegingProces/client:ZaakId"/>
        </ns2:referentieCode>
        <ns2:organisatieOnderdeel>
          <xsl:value-of select='concat(/client:NieuweMedewerkerRequestElement/client:Dienstgegevens/client:SubDienstNaam,"/",/client:NieuweMedewerkerRequestElement/client:Dienstgegevens/client:SectorNaam,"/",/client:NieuweMedewerkerRequestElement/client:Dienstgegevens/client:AfdelingNaam)'/>
        </ns2:organisatieOnderdeel>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"Blackberry")'>
            <ns2:nieuwBlackberry>
              <xsl:value-of select='xp20:matches(client:PersIctOptieWaarde,"Ja")'/>
            </ns2:nieuwBlackberry>
          </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/client:NieuweMedewerkerRequestElement/client:PersoonlijkeICTopties/client:PersICToptie">
          <xsl:if test='xp20:matches(client:PersIctOptieNaam,"Citrix lokatie")'>
            <ns2:citrixLokatie/>
          </xsl:if>
        </xsl:for-each>
      </ns2:mdw>
    </ns2:nieuweMedewerkerRequestElement>
  </xsl:template>
</xsl:stylesheet>
